Bug 14129 - templates.readme is outdated
Summary: templates.readme is outdated
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Developer documentation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-03 17:19 UTC by Katrin Fischer
Modified: 2015-12-03 22:02 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14129: templates.readme is outdated (7.51 KB, patch)
2015-05-04 06:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 14129: templates.readme is outdated (7.75 KB, patch)
2015-05-04 06:51 UTC, Magnus Enger
Details | Diff | Splinter Review
[PASSED QA] Bug 14129: templates.readme is outdated (7.83 KB, patch)
2015-05-05 10:56 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-05-03 17:19:39 UTC
The file koha-tmpl/templates.readme is very outdated and contains a lot of wrong information:

- references CVS
- HTML::Template
- wrong paths
- wrong language codes...

It needs to be removed or compeletely rewritten
Comment 1 Katrin Fischer 2015-05-04 06:02:47 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2015-05-04 06:03:31 UTC
I am proposing to remove the file - I think nowadays this kind of information would be better in the wiki.
Comment 3 Magnus Enger 2015-05-04 06:51:23 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2015-05-05 10:56:10 UTC
Created attachment 38846 [details] [review]
[PASSED QA] Bug 14129: templates.readme is outdated

The file templates.readme dates back to CSV and
HTML::Template times and is outdated.

To test:
- Verify the file is outdated and removed by this patch.

Signed-off-by: Magnus Enger <magnus@enger.priv.no>
If noone spotted the outdatedness of this file until now I
agree with Katrin that we should get rid of it and maybe
create something similar in the wiki. The patch works as
advertised.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Tomás Cohen Arazi 2015-05-06 17:34:32 UTC
Patch pushed to master.

Thanks Katrina!
Comment 6 Chris Cormack 2015-05-17 06:35:39 UTC
Pushed to 3.18.x will be in 3.18.7